get
https://services.azuga.com/azuga-ws-oauth/v3/users/
Use this API to view the account information of a driver. Driver accounts are also considered as user accounts with limited access to the application. You need to pass the unique identifier of the driver as path parameter.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/users/014475a9-8e8d-11ed-963e-fb6fdba39470
API Response Explanation
| Field | Description | Data Type |
|---|---|---|
| id | Unique identifier assigned to the current user. | String |
| firstName | The first name of the user | String |
| lastName | The last name of the user | String |
| Email address linked to the user account. | String | |
| primaryContactNumbe | Main contact number of the associated user. | String |
| alternateContactNumber | Alternate contact number of the associated user. | Long |
| roleId | Role ID assigned to the current user account which is assigned according to the role of the user. | String |
| userName | The username of the account | String |
| password | The password set by the user for the user account. | String |
| pin | The pin set by the user to password protect the device. | String |
| isGetMaintenanceAlert | Boolean value denoting whether the maintenance alert package is enabled or not for the user. | String |
| isGetNewReleaseAlert | Boolean value denoting whether the new release alert package is enabled or not for the user. | String |
| customerId | Unique identifier of customer ID to which the user is associated to. | Long |
| createdBy | User name of the account which was used to create the current user account. | String |
| lastModifiedBy | User name of the account via which the last modification was made to the current user account. | String |
| userType | The type of users available on Azuga application. Each user type has an exclusive identifier assigned to them. They are:
| Object |
| lastModifiedAt | The time stamp at which last modification was made to the user account. | Timestamp |
| deleted | Boolean value represents the delete status of the driver
| Boolean |
| createdAt | Created time of the driver in UTC milliseconds | Timestamp |
| timeZone | Local timezone of the driver | String |
| deletedAt | For internal Azuga use | Timestamp |
| apiKey | The unique code that is passed in to the API to identify the calling user. | String |
| lastLoginDateTime | Time stamp at which last login was made by the user account. | Timestamp |
| licenseNumber | Licence number linked with the user account(Driver). | String |
| licenseIssuedDate | The issue date of the user's license. | Date |
| licenseExpiry | The date at which the user's licence will expire. | Date |
| licenseIssuedState | The state of a country's where the user's l | String |
| profilepicUrl | The URL of the profile picture | String |
| emailVerification | Boolean value denoting whether the email account linked to the user account has been verified. | Boolean |
| userDetails | The details of the user account. | Object |
| vehicleId | the vehicle ID associated with the user account | String |
| vehicleName | The name of the vehicle associated with the user account. | String |
| fromDeleteDevice | Boolean value denoting whether the current user account has been disassociated from the device it was paired with. | Boolean |
| fullName | The full name of the user. | String |
| tags | The tags associated with the driver | String |
| userTagsAssociated | The server generated tags associated with the current user accounts. | List<String> |
| userTagsNames | User tags associated with the driver | List<String> |
| roleName | The role assigned to the associated user. | String |
| adminingGroups | The groups administered by the associated user. | List<GroupIdNameVO> |
| countryId | The ID of the country to which the associated user belongs to. | Integer |
| groupIdsAndNames | The group IDs and names which are linked with the user. | List<GroupIdNameVO> |
| userTypeName | The user type assigned to the user account. | String |
| userTypeId | The unique identifier assigned to each user type.
| Integer |
| enabledPackageNames | The list of packages enabled for the associated user account. | String |
| pairingTypeId | The types of pairing method available on Azuga application. Each pairing method has a unique identifier assigned to them. They are:
| Integer |
| pairingType | The pairing method used to associate the device to the user profile. | String |
| nodeTableCreated | For internal Azuga use | Boolean |
| employeeId | The employee ID linked to the user account. | String |
| serviceHour | The number of hours the associated user needs to complete. | Boolean |
| dispatchNumber | The unique number of the package being dispatched. | String |
| dispatchStatus | The latest status of the package being dispatched. | String |
| dispatchRedirectURL | For internal Azuga use | String |
| notInGroup | Boolean value denoting whether the current user account is linked to any group. | Booelan |
| pageName | The name of the page. | String |
| pageId | The unique identifier of the different modules of web page. You can select a module from the Azuga web app to exclusively appear as the home page for a particular users. The modules are represented by the following code:
| Long |
| pageUrl | The URL of the page. | String |
| groupIds | List of group IDs to which the user account has been assigned to. | List<String> |
| groupId | String | |
| groupNames | List of group names to which the user is assigned to. | String |
| userDocumentList | The list of documents saved by the user. | List<UserDocument> |
| userDocsDeleted | The list of documents the associated user has deleted. | List<String> |
| userDocs | The object which consists of all metadata of the docs which the current user account has stored in the server. | String |
| uploadType | The media type of the uploaded file. | List<String> |
| userDocURIs | The URL of user documents where the user documents have been stored. | List<String> |
| notLoggedinHasAccessToGroup | The list of group the associated user has acces to without logging in. | Boolean |
| fuelCardNumber | The fuel card number linked to the user account. | String |
| plainPassword | The decrypted password set by the user. | String |
| useDefaultRole | Boolean value representing whether the role of the driver is assigned with a default one at the time of driver creation | Boolean |
| useDefaultGroup | Boolean value representing whether the group of the driver is assigned with a default one at the time of driver creation | Boolean |
| fetchCompleteResponse | For internal Azuga use | Boolean |
| adminUserId | The user ID of the admin to which the user account is linked to. | String |
| node | For internal Azuga use | String |
| loginPwdOption | For internal Azuga use | Short |
| prevLastLoginDateTime | For internal Azuga use | Timestamp |
| ssouser | For internal Azuga use | Boolean |
| elogVistrack | Boolean representing the Vistrack package is enabled for the driver | Boolean |

